Follow Slashdot blog updates by subscribing to our blog RSS feed

 



Forgot your password?
typodupeerror
Operating Systems Linux

Linux Mint 18.2 Ubuntu-based OS is Named 'Sonya' (betanews.com) 34

Brian Fagioli, writing for BetaNews: The uncertainty about Ubuntu has not deterred the Linux Mint team, however, as they are moving ahead with plans for version 18.2. While details about the upcoming version of the operating system are scarce, we have learned two important details. First, the code name for the OS will be 'Sonya,' and second, the distro will use LightDM as default display manager.
This discussion has been archived. No new comments can be posted.

Linux Mint 18.2 Ubuntu-based OS is Named 'Sonya'

Comments Filter:
  • by Anonymous Coward

    Time to get rid of your Windows "S" for Linux "S"

  • Maybe with her getting prego with Reddit, they want to move away.
  • FINISH HIM! (Score:5, Funny)

    by Killall -9 Bash ( 622952 ) on Tuesday May 02, 2017 @11:39AM (#54341103)
    Waiting for a Windows version code-named "Kano".

    SONYA WINS. FLAWLESS VICTORY.
  • I hear there will be display optimizations for using the OS while doing a handstand. (ref [youtube.com])

    And LightDM will come pre-configured with a red color scheme, in which case people will refer to the OS as "Red Sonya". (obscure ref [imdb.com]?)
  • by squiggleslash ( 241428 ) on Tuesday May 02, 2017 @12:06PM (#54341329) Homepage Journal

    I run Mint but switched to LightDM after I found I kept having to agree to software licenses for Adobe Reader every time the latter was upgraded.

    It turned out that Mint's default DM, mdm, uses webkit. Which it had configured to load plugins. So when mdm was started, the Acrobat Reader plugin was loaded, and I was being prompted to agree to the license.

    And you're probably thinking "OK, squiggie, that's a minor inconvenience, so what?"

    Well, what user do you think is running mdm, and running all those plugins? Give you a clue: starts with 'r'. Ends in 'oot'. Four letters.

    • Re:Good (Score:4, Funny)

      by Kokuyo ( 549451 ) on Tuesday May 02, 2017 @12:15PM (#54341393) Journal

      Running anything adobe as root seems... Unwise.

    • But how are you going to incorporate PDFs into your login screen now? (Okay, actually there are a lot of other safer plugins for that if you wanted to...)

      It does seem pointlessly annoying, but it's not as though mdm's webkit can be remotely exploited until you install a malicious theme.

      • Re:Good (Score:4, Insightful)

        by squiggleslash ( 241428 ) on Tuesday May 02, 2017 @01:44PM (#54342001) Homepage Journal

        Well, if it's running plugins automatically, then the bar to exploiting it has dropped considerably from "until you install a malicious theme". Now the exploit could be as simple as "Malicious plugin", or as complex as "Someone, somehow, because that NEVER happens, finds a bug in Adobe Reader, that they can exploit."

        That's my major concern.

    • by steveg ( 55825 )

      Hmm. I just checked, and the only Adobe anything that's installed on my Mint instance is the Flash plugin. Is that what you mean?

      And although mdm *does* load webkit, I don't see anything to indicate it's loading any plugins. Maybe I'm missing something. I certainly haven't been prompted to agree to any licenses.

      • Hmm. I just checked, and the only Adobe anything that's installed on my Mint instance is the Flash plugin. Is that what you mean?

        Nope, I'm talking about Acrobat Reader, which I downloaded and installed.

        Maybe I'm missing something. I certainly haven't been prompted to agree to any licenses.

        You haven't installed Adobe Reader. If you go to Adobe's website, install the GNU/Linux version, and reboot your computer, you should see the licence agreement behavior I'm talking about on the login screen.

        • Actually, I just checked, and I believe acroread is in the repositories (which is presumably why it asks for me to agree to the license periodically rather than just once) so "sudo apt-get install acroread" should do it.

To write good code is a worthy challenge, and a source of civilized delight. -- stolen and paraphrased from William Safire

Working...